import 'package:flutter/material.dart';
import 'package:provider_mvc/controller.dart';
import '../views/bulb_view.dart';
import '../controllers/bulb_controller.dart';
import '../controllers/home_controller.dart';
import 'package:provider_mvc/view.dart';

class HomeScreen extends View<HomeController> {
  @override
  Widget builder(
      BuildContext context, HomeController controller, Widget widget) {
    return Scaffold(
      backgroundColor: controller.bg,
      body: Center(
        child: Row(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            BulbView(),
            BulbView(),
            BulbView(),
          ],
        ),
      ),
      floatingActionButton: FloatingActionButton(
        onPressed: () {
          Controller.of<BulbController>().forEach((ctrl) => ctrl.toggle());
          controller.bg = BulbView.isAllOn ? Colors.yellow[100] : Colors.black;
        },
        child: Icon(Icons.refresh),
      ),
    );
  }

  @override
  HomeController create(BuildContext context) =>
      Controller.put<HomeController>(HomeController('HOME'));
}
